Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
[Java] Class GroovyRowResult

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.sql.GroovyRowResult

All Implemented Interfaces:
  java.util.Map

    public class GroovyRowResult
    extends GroovyObjectSupport

Represents an extent of objects. It's used in the oneRow method to be able to access the result of a SQL query by the name of the column, or by the column number.

Authors:
  Jean-Louis Berliet

Version:
  \$Revision\$

Constructor Summary
`GroovyRowResult(java.util.Map result)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `get(java.lang.Object property)`
`java.lang.Object` | `getAt(int index)` Retrieve the value of the property by its index.
`java.lang.Object` | `getProperty(java.lang.String property)` Retrieve the value of the property by its name
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map t)`
`java.lang.Object` | `remove(java.lang.Object rawKey)`
`int` | `size()`
`java.lang.String` | `toString()`
`java.util.Collection` | `values()`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyRowResult

    public GroovyRowResult(java.util.Map result)

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(java.lang.Object key)

### containsValue

    public boolean containsValue(java.lang.Object value)

### entrySet

    public java.util.Set entrySet()

### equals

    public boolean equals(java.lang.Object o)

### get

    public java.lang.Object get(java.lang.Object property)

### getAt

    public java.lang.Object getAt(int index)

  Retrieve the value of the property by its index. A negative index will count backwards from the last column.
  Parameters:
    `index` - is the number of the column to look at
  Returns:
    the value of the property

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

  Retrieve the value of the property by its name
  Parameters:
    `property` - is the name of the property to look at
  Returns:
    the value of the property

### hashCode

    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public java.util.Set keySet()

### put

    return result.put(key, value);
    public java.lang.Object put(java.lang.Object key, java.lang.Object value)

### putAll

    result.putAll(t);
    public void putAll(java.util.Map t)

### remove

    public java.lang.Object remove(java.lang.Object rawKey)

### size

    public int size()

### toString

    public java.lang.String toString()

### values

    public java.util.Collection values()

Groovy Documentation